classification
Title: Move note about GIL to top of threading module
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.10, Python 3.9, Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, miss-islington, pablogsal, pitrou, quantum5
Priority: normal Keywords: patch

Created on 2021-02-22 06:44 by quantum5, last changed 2021-02-26 10:29 by pablogsal. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 24622 merged quantum5, 2021-02-22 06:53
PR 24640 merged miss-islington, 2021-02-24 18:40
PR 24641 merged miss-islington, 2021-02-24 18:40
PR 24642 merged quantum5, 2021-02-24 20:14
Messages (5)
msg387503 - (view) Author: Quantum (quantum5) * Date: 2021-02-22 06:44
The note about the GIL is buried pretty deep in the threading documentation, and this makes it hard for first time users to discover why their attempts at using threading to parallelizing their application did not work.

This used to be the case in the old Python 2 documentation, but https://github.com/python/cpython/commit/d6d17c58af8002000ecd1326c7accafb5af8a9db moved it, and no corresponding discussion exists. I think the GIL is a pretty important thing to mention, especially for people used to other programming languages. I believe the change had a negative effect and should be reverted.
msg387635 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-02-24 18:40
New changeset 32181be6081f6c70a1e0bd0540050805c8e88e83 by Guanzhong Chen in branch 'master':
bpo-43293: Doc: move note about GIL to top of threading module (GH-24622)
https://github.com/python/cpython/commit/32181be6081f6c70a1e0bd0540050805c8e88e83
msg387636 - (view) Author: miss-islington (miss-islington) Date: 2021-02-24 18:49
New changeset 2a9e6ab6adc82713e43cdf0aed09557d0d63e3bb by Miss Islington (bot) in branch '3.8':
bpo-43293: Doc: move note about GIL to top of threading module (GH-24622)
https://github.com/python/cpython/commit/2a9e6ab6adc82713e43cdf0aed09557d0d63e3bb
msg387637 - (view) Author: miss-islington (miss-islington) Date: 2021-02-24 19:01
New changeset f82578ace103ec977cec3424b20e0b5f19cf720e by Miss Islington (bot) in branch '3.9':
bpo-43293: Doc: move note about GIL to top of threading module (GH-24622)
https://github.com/python/cpython/commit/f82578ace103ec977cec3424b20e0b5f19cf720e
msg387718 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2021-02-26 10:29
New changeset 30927fa4658a36f647155e9582b598434582a5ce by Guanzhong Chen in branch '3.7':
[3.7] bpo-43293: Doc: move note about GIL to top of threading module (GH-24622) (#24642)
https://github.com/python/cpython/commit/30927fa4658a36f647155e9582b598434582a5ce
History
Date User Action Args
2021-02-26 10:29:14pablogsalsetmessages: + msg387718
2021-02-24 22:41:42pablogsalsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-02-24 20:14:46quantum5setpull_requests: + pull_request23427
2021-02-24 19:01:41miss-islingtonsetmessages: + msg387637
2021-02-24 18:49:30miss-islingtonsetmessages: + msg387636
2021-02-24 18:40:53miss-islingtonsetpull_requests: + pull_request23426
2021-02-24 18:40:12pablogsalsetnosy: + pablogsal
messages: + msg387635
2021-02-24 18:40:11miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request23425
2021-02-22 07:21:25rhettingersetnosy: + pitrou
2021-02-22 06:53:19quantum5setkeywords: + patch
stage: patch review
pull_requests: + pull_request23406
2021-02-22 06:44:05quantum5create